Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.message
Class MapMessageProxy

    java.lang.Object
      org.jboss.jms.message.MessageProxy
          org.jboss.jms.message.MapMessageProxy

All Implemented Interfaces:
  java.io.Serializable

public class MapMessageProxy
extends MessageProxy

Thin proxy for a JBossMapMessage

Author:
  Tim Fox MapMessageProxy.java,v 1.1 2006/03/08 08:00:34 timfox Exp
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.jms.message.MessageProxy
`bodyCopied, bodyReadOnly, delegate, deliveryCount, jmsRedelivered, message, messageCopied, propertiesCopied, propertiesReadOnly, state, STATE_NEW, STATE_RECEIVED, STATE_SENT`

Constructor Summary
`MapMessageProxy(JBossMapMessage message, int deliveryCount)`

Method Summary
`boolean` | `getBoolean(java.lang.String name)`
`byte` | `getByte(java.lang.String name)`
`byte[]` | `getBytes(java.lang.String name)`
`char` | `getChar(java.lang.String name)`
`double` | `getDouble(java.lang.String name)`
`float` | `getFloat(java.lang.String name)`
`int` | `getInt(java.lang.String name)`
`long` | `getLong(java.lang.String name)`
`java.util.Enumeration` | `getMapNames()`
`java.lang.Object` | `getObject(java.lang.String name)`
`short` | `getShort(java.lang.String name)`
`java.lang.String` | `getString(java.lang.String name)`
`boolean` | `itemExists(java.lang.String name)`
`void` | `setBoolean(java.lang.String name, boolean value)`
`void` | `setByte(java.lang.String name, byte value)`
`void` | `setBytes(java.lang.String name, byte[] value)`
`void` | `setBytes(java.lang.String name, byte[] value, int offset, int length)`
`void` | `setChar(java.lang.String name, char value)`
`void` | `setDouble(java.lang.String name, double value)`
`void` | `setFloat(java.lang.String name, float value)`
`void` | `setInt(java.lang.String name, int value)`
`void` | `setLong(java.lang.String name, long value)`
`void` | `setObject(java.lang.String name, java.lang.Object value)`
`void` | `setShort(java.lang.String name, short value)`
`void` | `setString(java.lang.String name, java.lang.String value)`

Methods inherited from class org.jboss.jms.message.MessageProxy
`acknowledge, bodyChange, bodyClear, clearBody, clearProperties, copyMessage, getBooleanProperty, getByteProperty, getDeliveryCount, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getMessage, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, headerChange, isReceived, isSent, propertiesClear, propertyChange, propertyExists, setBooleanProperty, setByteProperty, setDoubleProperty, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setReceived, setSent, setSessionDelegate, setShortProperty, setStringProperty, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MapMessageProxy

    public MapMessageProxy(JBossMapMessage message,
                           int deliveryCount)

Method Detail

### getBoolean

    public boolean getBoolean(java.lang.String name)
                       throws JMSException

  Throws:
    `JMSException`

### getByte

    public byte getByte(java.lang.String name)
                 throws JMSException

  Throws:
    `JMSException`

### getShort

    public short getShort(java.lang.String name)
                   throws JMSException

  Throws:
    `JMSException`

### getChar

    public char getChar(java.lang.String name)
                 throws JMSException

  Throws:
    `JMSException`

### getInt

    public int getInt(java.lang.String name)
               throws JMSException

  Throws:
    `JMSException`

### getLong

    public long getLong(java.lang.String name)
                 throws JMSException

  Throws:
    `JMSException`

### getFloat

    public float getFloat(java.lang.String name)
                   throws JMSException

  Throws:
    `JMSException`

### getDouble

    public double getDouble(java.lang.String name)
                     throws JMSException

  Throws:
    `JMSException`

### getString

    public java.lang.String getString(java.lang.String name)
                               throws JMSException

  Throws:
    `JMSException`

### getBytes

    public byte[] getBytes(java.lang.String name)
                    throws JMSException

  Throws:
    `JMSException`

### getObject

    public java.lang.Object getObject(java.lang.String name)
                               throws JMSException

  Throws:
    `JMSException`

### getMapNames

    public java.util.Enumeration getMapNames()
                                      throws JMSException

  Throws:
    `JMSException`

### setBoolean

    public void setBoolean(java.lang.String name,
                           boolean value)
                    throws JMSException

  Throws:
    `JMSException`

### setByte

    public void setByte(java.lang.String name,
                        byte value)
                 throws JMSException

  Throws:
    `JMSException`

### setShort

    public void setShort(java.lang.String name,
                         short value)
                  throws JMSException

  Throws:
    `JMSException`

### setChar

    public void setChar(java.lang.String name,
                        char value)
                 throws JMSException

  Throws:
    `JMSException`

### setInt

    public void setInt(java.lang.String name,
                       int value)
                throws JMSException

  Throws:
    `JMSException`

### setLong

    public void setLong(java.lang.String name,
                        long value)
                 throws JMSException

  Throws:
    `JMSException`

### setFloat

    public void setFloat(java.lang.String name,
                         float value)
                  throws JMSException

  Throws:
    `JMSException`

### setDouble

    public void setDouble(java.lang.String name,
                          double value)
                   throws JMSException

  Throws:
    `JMSException`

### setString

    public void setString(java.lang.String name,
                          java.lang.String value)
                   throws JMSException

  Throws:
    `JMSException`

### setBytes

    public void setBytes(java.lang.String name,
                         byte[] value)
                  throws JMSException

  Throws:
    `JMSException`

### setBytes

    public void setBytes(java.lang.String name,
                         byte[] value,
                         int offset,
                         int length)
                  throws JMSException

  Throws:
    `JMSException`

### setObject

    public void setObject(java.lang.String name,
                          java.lang.Object value)
                   throws JMSException

  Throws:
    `JMSException`

### itemExists

    public boolean itemExists(java.lang.String name)
                       throws JMSException

  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.